# Record Class QApplicationMetadata

java.lang.Object
java.lang.Record
com.io7m.quarrel.core.QApplicationMetadata

Record Components:
  `applicationName` - The short name of the application used in command-line usage messages (such as "idstore")
  `applicationId` - The application ID (such as "com.io7m.idstore")
  `version` - The version (such as "1.0.0")
  `build` - The build (such as "25695d1e138bc93f21759a990d676e02951b0ae4")
  `title` - The application title
  `site` - The site (such as "https://www.io7m.com/software/idstore")

public record QApplicationMetadata(String applicationName, String applicationId, String version, String build, String title, Optional<URI> site) extends Record
The application metadata.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QApplicationMetadata(String applicationName, String applicationId, String version, String build, String title, Optional<URI> site)`
  The application metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `applicationId()`
  Returns the value of the `applicationId` record component.
  `String`
  `applicationName()`
  Returns the value of the `applicationName` record component.
  `String`
  `build()`
  Returns the value of the `build` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<URI>`
  `site()`
  Returns the value of the `site` record component.
  `String`
  `title()`
  Returns the value of the `title` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QApplicationMetadata

    public QApplicationMetadata(String applicationName, String applicationId, String version, String build, String title, Optional<URI> site)
    The application metadata.
    Parameters:
      `applicationName` - The short name of the application used in command-line usage messages (such as "idstore")
      `applicationId` - The application ID (such as "com.io7m.idstore")
      `version` - The version (such as "1.0.0")
      `build` - The build (such as "25695d1e138bc93f21759a990d676e02951b0ae4")
      `title` - The application title
      `site` - The site (such as "https://www.io7m.com/software/idstore")

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### applicationName

    public String applicationName()
    Returns the value of the `applicationName` record component.
    Returns:
      the value of the `applicationName` record component

  - ### applicationId

    public String applicationId()
    Returns the value of the `applicationId` record component.
    Returns:
      the value of the `applicationId` record component

  - ### version

    public String version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component

  - ### build

    public String build()
    Returns the value of the `build` record component.
    Returns:
      the value of the `build` record component

  - ### title

    public String title()
    Returns the value of the `title` record component.
    Returns:
      the value of the `title` record component

  - ### site

    public Optional<URI> site()
    Returns the value of the `site` record component.
    Returns:
      the value of the `site` record component